chafa, bump version (#6039)

This commit is contained in:
Schrijvers Luc
2021-07-04 09:34:11 +02:00
committed by GitHub
parent 58332d0dc2
commit ef3aac0873
2 changed files with 5 additions and 87 deletions

View File

@@ -13,10 +13,7 @@ COPYRIGHT="2018-2021 Hans Petter Jansson et al
LICENSE="GNU LGPL v3"
REVISION="1"
SOURCE_URI="https://github.com/hpjansson/chafa/archive/refs/tags/$portVersion.tar.gz"
CHECKSUM_SHA256="b1f00204865beca6d643478edcb88a0058673ad59ced1033514a56c9b0d7f2df"
if [ "$targetArchitecture" = x86_gcc2 ]; then
PATCHES="chafa-$portVersion.patchset"
fi
CHECKSUM_SHA256="225ae7f31a16408dee918aff512b5b7022287ed9844d0efd8c4eb5c8123af6a8"
ARCHITECTURES="!x86_gcc2 x86_64"
SECONDARY_ARCHITECTURES="x86"
@@ -29,7 +26,7 @@ if [ "$targetArchitecture" = x86_gcc2 ]; then
commandBinDir=$prefix/bin
fi
libVersion="0.5.0"
libVersion="0.5.1"
libVersionCompat="$libVersion compat >= ${libVersion%%.*}"
PROVIDES="
@@ -87,8 +84,9 @@ INSTALL()
# remove libtool file
rm $libDir/libchafa.la
prepareInstalledDevelLibs \
libchafa
prepareInstalledDevelLib libchafa
fixPkgconfig
packageEntries devel \
$developDir
}

View File

@@ -1,80 +0,0 @@
From 32ad9d1ca101d7224f46f9a0adb8ac3e09ae8942 Mon Sep 17 00:00:00 2001
From: begasus <begasus@gmail.com>
Date: Sun, 9 May 2021 12:17:45 +0000
Subject: Import upstream patch to enable NOCONFIGURE to ./autogen.sh
diff --git a/autogen.sh b/autogen.sh
index 892a590..b59afe5 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -77,7 +77,7 @@ test $TEST_TYPE $FILE || {
exit 1
}
-if test -z "$*"; then
+if test x$NOCONFIGURE = x && test -z "$*"; then
${MY_ECHO}
${MY_ECHO} "I am going to run ./configure with no arguments - if you wish "
${MY_ECHO} "to pass any to it, please specify them on the $0 command line."
@@ -102,4 +102,13 @@ ${MY_ECHO} "Running autoconf..."
autoconf
cd $ORIGDIR
-$srcdir/configure --enable-maintainer-mode "$@"
+
+conf_flags="--enable-maintainer-mode"
+
+if test x$NOCONFIGURE = x; then
+ ${MY_ECHO} Running $srcdir/configure $conf_flags "$@" ...
+ $srcdir/configure $conf_flags "$@" \
+ && ${MY_ECHO} Now type \`make\' to compile $PROJECT || exit 1
+else
+ ${MY_ECHO} Skipping configure process.
+fi
--
2.30.2
From b2134549210a1834640911e4dfe993ac9ae15ec7 Mon Sep 17 00:00:00 2001
From: begasus <begasus@gmail.com>
Date: Sun, 9 May 2021 16:16:18 +0000
Subject: Fix __int32_t issue
diff --git a/chafa/internal/chafa-popcnt.c b/chafa/internal/chafa-popcnt.c
index f4dc954..809f262 100644
--- a/chafa/internal/chafa-popcnt.c
+++ b/chafa/internal/chafa-popcnt.c
@@ -29,7 +29,7 @@ chafa_pop_count_u64_builtin (guint64 v)
#if defined(HAVE_POPCNT64_INTRINSICS)
return (gint) _mm_popcnt_u64 (v);
#else /* HAVE_POPCNT32_INTRINSICS */
- __int32_t* w = (__int32_t*)&v;
+ guint32* w = (guint32*)&v;
return (gint) _mm_popcnt_u32(w[0]) + _mm_popcnt_u32(w[1]);
#endif
}
@@ -42,7 +42,7 @@ chafa_pop_count_vu64_builtin (const guint64 *vv, gint *vc, gint n)
#if defined(HAVE_POPCNT64_INTRINSICS)
*(vc++) = _mm_popcnt_u64 (*(vv++));
#else /* HAVE_POPCNT32_INTRINSICS */
- __int32_t* w = (__int32_t*)vv;
+ guint32* w = (guint32*)vv;
*(vc++) = _mm_popcnt_u32(w[0]) + _mm_popcnt_u32(w[1]);
vv++;
#endif
@@ -66,8 +66,8 @@ chafa_hamming_distance_vu64_builtin (guint64 a, const guint64 *vb, gint *vc, gin
*(vc++) = _mm_popcnt_u64 (a ^ *(vb++));
}
#else /* HAVE_POPCNT32_INTRINSICS */
- __int32_t* aa = (__int32_t*)&a;
- __int32_t* wb = (__int32_t*)vb;
+ guint32* aa = (guint32*)&a;
+ guint32* wb = (guint32*)vb;
while (n--) {
*(vc++) = _mm_popcnt_u32 (aa [0] ^ wb [0]) + _mm_popcnt_u32 (aa [1] ^ wb [1]);
wb += 2;
--
2.30.2